Bug 24332 - Update request: kernel-linus-4.14.100-1.mga6
Summary: Update request: kernel-linus-4.14.100-1.mga6
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: Security (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact: Sec team
URL:
Whiteboard: MGA6-32-OK MGA6-64-OK
Keywords: advisory, validated_update
Depends on:
Blocks:
 
Reported: 2019-02-09 15:48 CET by Thomas Backlund
Modified: 2019-02-21 00:52 CET (History)
4 users (show)

See Also:
Source RPM: kernel-linus
CVE:
Status comment:


Attachments

Description Thomas Backlund 2019-02-09 15:48:21 CET
Updated kernel-linus, advisory will follow:

SRPMS:
kernel-linus-4.14.98-1.mga6.src.rpm


i586:
kernel-linus-4.14.98-1.mga6-1-1.mga6.i586.rpm
kernel-linus-devel-4.14.98-1.mga6-1-1.mga6.i586.rpm
kernel-linus-devel-latest-4.14.98-1.mga6.i586.rpm
kernel-linus-doc-4.14.98-1.mga6.noarch.rpm
kernel-linus-latest-4.14.98-1.mga6.i586.rpm
kernel-linus-source-4.14.98-1.mga6-1-1.mga6.noarch.rpm
kernel-linus-source-latest-4.14.98-1.mga6.noarch.rpm


x86_64:
kernel-linus-4.14.98-1.mga6-1-1.mga6.x86_64.rpm
kernel-linus-devel-4.14.98-1.mga6-1-1.mga6.x86_64.rpm
kernel-linus-devel-latest-4.14.98-1.mga6.x86_64.rpm
kernel-linus-doc-4.14.98-1.mga6.noarch.rpm
kernel-linus-latest-4.14.98-1.mga6.x86_64.rpm
kernel-linus-source-4.14.98-1.mga6-1-1.mga6.noarch.rpm
kernel-linus-source-latest-4.14.98-1.mga6.noarch.rpm
Comment 1 Thomas Andrews 2019-02-12 03:49:27 CET
Real hardware, Athlon X2 7750, 8GB RAM, nvidia 9800GT (nvidia340 driver) graphics, Atheros wifi. 64-bit Plasma system.

Installed kernel-linus 4.14.78-1 first, and booted into it. From there, updated to kernel-linus 4.14.98-1. All packages installed cleanly, including the devel packages.

Rebooted to a working dsktop. Common apps work. No regressions noted.

Looks good on this hardware.

CC: (none) => andrewsfarm

Comment 2 Len Lawrence 2019-02-12 20:08:41 CET
Linus kernel installation on four x86_64 Intel/nvidia machines:

core i7 4790
nvidia GTX970 : 390.87

core i7 3630QM
nvidia GT650M : 390.87

core i7 5700HQ
nvidia GTX965M : 390.87

core i7 2600
nvidia GTX555 : 390.87

Updated smoothly from linus 4.78.1 to 4.98.1.

The correct nvidia graphics driver was installed without any problem.

All rebooted to Mate under nvidia-current.  NFS shares mounted OK.  In these latest kernels there are always a couple of popups after login requiring the root password to enable networking and set rfkill state.

So far the Mate desktop is running fine and stress tests complete OK.

On the Asus X51 (GTX965M) the laptop suspended when the lid was closed but required authentication on resume.  That was not the case with the other laptop,
 the Ideapad Y500 (GT650M).  That suspended and resumed without user authentication.

CC: (none) => tarazed25

Comment 3 James Kerr 2019-02-13 16:52:04 CET
On mga6-32   kernel-linus  xfce

packages installed cleanly:
- kernel-linus-4.14.98-1.mga6-1-1.mga6.i586
- kernel-linus-devel-4.14.98-1.mga6-1-1.mga6.i586
- kernel-linus-devel-latest-4.14.98-1.mga6.i586
- kernel-linus-latest-4.14.98-1.mga6.i586

system re-booted normally:
$ uname -r
4.14.98-1.mga6
# dkms status
nvidia-current, 390.87-1.mga6.nonfree, 4.14.98-1.mga6, i586: installed 

no regressions noted

OK for mga6-32 on this system:

Machine:   Device: desktop Mobo: ECS model: GeForce7050M-M v: 1.0
CPU:       Quad core AMD Phenom 9500 (-MCP-) cache: 2048 KB 
Graphics:  Card: NVIDIA GK208B [GeForce GT 710]

CC: (none) => jim

Comment 4 Thomas Backlund 2019-02-13 18:39:51 CET
Putting theese on hold, turns out there is atleast one regression being reverted upstream ...

Keywords: (none) => feedback

Comment 5 Thomas Backlund 2019-02-15 13:05:52 CET
new set is out:

SRPM:
kernel-linus-4.14.100-1.mga6.src.rpm


i586:
kernel-linus-4.14.100-1.mga6-1-1.mga6.i586.rpm
kernel-linus-devel-4.14.100-1.mga6-1-1.mga6.i586.rpm
kernel-linus-devel-latest-4.14.100-1.mga6.i586.rpm
kernel-linus-doc-4.14.100-1.mga6.noarch.rpm
kernel-linus-latest-4.14.100-1.mga6.i586.rpm
kernel-linus-source-4.14.100-1.mga6-1-1.mga6.noarch.rpm
kernel-linus-source-latest-4.14.100-1.mga6.noarch.rpm


x86_64:
kernel-linus-4.14.100-1.mga6-1-1.mga6.x86_64.rpm
kernel-linus-devel-4.14.100-1.mga6-1-1.mga6.x86_64.rpm
kernel-linus-devel-latest-4.14.100-1.mga6.x86_64.rpm
kernel-linus-doc-4.14.100-1.mga6.noarch.rpm
kernel-linus-latest-4.14.100-1.mga6.x86_64.rpm
kernel-linus-source-4.14.100-1.mga6-1-1.mga6.noarch.rpm
kernel-linus-source-latest-4.14.100-1.mga6.noarch.rpm

Keywords: feedback => (none)
Summary: Update request: kernel-linus-4.14.98-1.mga6 => Update request: kernel-linus-4.14.100-1.mga6

Comment 6 Thomas Andrews 2019-02-15 21:23:23 CET
Updated the same system as in Comment 1. Still looks good here.
Comment 7 Len Lawrence 2019-02-16 00:38:00 CET
Linus kernel installation on four x86_64 Intel/nvidia machines:

core i7 4790,   nvidia GTX970    : 390.87

core i9 7900X,  nvidia GTX1080Ti : 390.87

core i7 5700HQ, nvidia GTX965M   : 390.87

core i7 2600,   nvidia GTX555    : 390.87

No problems with any of them.  All rebooted to the Mate desktop with startup applications like gkrellm running, terminals in place, firefox up and NFS shares mounted.  Where relevant virtualbox launched clients OK.  stress tests completed.

One oddity; the net authorization popups did not appear for the core i9 machine - they usually do with these newer kernels.  Not going to complain about that - the popups are a bit of a nuisance.

All looking good so far.
Comment 8 Thomas Backlund 2019-02-20 23:28:10 CET
Enough tests.

Advisory (added to svn)

type: security
subject: Updated kernel-linus packages fix security vulnerabilities
CVE:
 - CVE-2018-1128
 - CVE-2018-1129
 - CVE-2018-14625
 - CVE-2018-16862
 - CVE-2018-16882
 - CVE-2018-16884
 - CVE-2018-18397
 - CVE-2018-19824
 - CVE-2018-19985
 - CVE-2019-3701
 - CVE-2019-3819
 - CVE-2019-6974
 - CVE-2019-7221
 - CVE-2019-7222
src:
  6:
   core:
     - kernel-linus-4.14.100-1.mga6
description: |
  This kernel-linus update is based on the upstream 4.14.100 and fixes atleast
  the following security issues:

  Cross-hyperthread Spectre v2 mitigation is now provided by the Single
  Thread Indirect Branch Predictors (STIBP) support. Note that STIBP also
  requires the functionality be supported by the Intel microcode in use.

  It was found that cephx authentication protocol did not verify ceph clients
  correctly and was vulnerable to replay attack. Any attacker having access
  to ceph cluster network who is able to sniff packets on network can use
  this vulnerability to authenticate with ceph service and perform actions
  allowed by ceph service (CVE-2018-1128).

  A flaw was found in the way signature calculation was handled by cephx
  authentication protocol. An attacker having access to ceph cluster network
  who is able to alter the message payload was able to bypass signature
  checks done by cephx protocol (CVE-2018-1129).

  A flaw was found in the Linux Kernel where an attacker may be able to have
  an uncontrolled read to kernel-memory from within a vm guest. A race
  condition between connect() and close() function may allow an attacker
  using the AF_VSOCK protocol to gather a 4 byte information leak or possibly
  intercept or corrupt AF_VSOCK messages destined to other clients
  (CVE-2018-14625).

  A security flaw was found in the Linux kernel in a way that the cleancache
  subsystem clears an inode after the final file truncation (removal). The
  new file created with the same inode may contain leftover pages from
  cleancache and the old file data instead of the new one (CVE-2018-16862).

  A use-after-free issue was found in the way the Linux kernel's KVM
  hypervisor processed posted interrupts when nested(=1) virtualization is
  enabled. In nested_get_vmcs12_pages(), in case of an error while
  processing posted interrupt address, it unmaps the 'pi_desc_page' without
  resetting 'pi_desc' descriptor address, which is later used in
  pi_test_and_clear_on(). A guest user/process could use this flaw to crash
  the host kernel resulting in DoS or potentially gain privileged access to
  a system (CVE-2018-16882).

  A flaw was found in the Linux kernel's NFS41+ subsystem. NFS41+ shares
  mounted in different network namespaces at the same time can make
  bc_svc_process() use wrong back-channel IDs and cause a use-after-free
  vulnerability. Thus a malicious container user can cause a host kernel
  memory corruption and a system panic. Due to the nature of the flaw,
  privilege escalation cannot be fully ruled out (CVE-2018-16884).

  The userfaultfd implementation in the Linux kernel before 4.19.7 mishandles
  access control for certain UFFDIO_ ioctl calls, as demonstrated by allowing
  local users to write data into holes in a tmpfs file (if the user has
  read-only access to that file, and that file contains holes)
  (CVE-2018-18397).

  In the Linux kernel through 4.19.6, a local user could exploit a
  use-after-free in the ALSA driver by supplying a malicious USB Sound device
  (with zero interfaces) (CVE-2018-19824).

  A flaw was found in the Linux kernel in the function hso_probe() which
  reads if_num value from the USB device (as an u8) and uses it without a
  length check to index an array, resulting in an OOB memory read in
  hso_probe() or hso_get_config_data(). An attacker with a forged USB
  device and physical access to a system (needed to connect such a device)
  can cause a system crash and a denial of service (CVE-2018-19985).

  An issue was discovered in can_can_gw_rcv in net/can/gw.c in the Linux
  kernel through 4.19.13. The CAN frame modification rules allow bitwise
  logical operations that can be also applied to the can_dlc field. Because
  of a missing check, the CAN drivers may write arbitrary content beyond
  the data registers in the CAN controller's I/O memory when processing
  can-gw manipulated outgoing frames. This is related to cgw_csum_xor_rel.
  An unprivileged user can trigger a system crash (general protection fault)
  (CVE-2019-3701).

  A flaw was found in the Linux kernel in the function hid_debug_events_read()
  in drivers/hid/hid-debug.c file which may enter an infinite loop with
  certain parameters passed from a userspace. A local privileged user ("root")
  can cause a system lock up and a denial of service (CVE-2019-3819).

  In the Linux kernel before 4.20.8, kvm_ioctl_create_device in
  virt/kvm/kvm_main.c mishandles reference counting because of a race
  condition, leading to a use-after-free (CVE-2019-6974).

  A use-after-free vulnerability was found in the way the Linux kernel's KVM
  hypervisor emulates a preemption timer for L2 guests when nested (=1)
  virtualization is enabled. This high resolution timer(hrtimer) runs when
  a L2 guest is active. After VM exit, the sync_vmcs12() timer object is
  stopped. The use-after-free occurs if the timer object is freed before
  calling sync_vmcs12() routine. A guest user/process could use this flaw
  to crash the host kernel resulting in a denial of service or, potentially,
  gain privileged access to a system (CVE-2019-7221).

  An information leakage issue was found in the way Linux kernel's KVM
  hypervisor handled page fault exceptions while emulating instructions
  like VMXON, VMCLEAR, VMPTRLD, and VMWRITE with memory address as an
  operand. It occurs if the operand is a mmio address, as the returned
  exception object holds uninitialized stack memory contents. A guest
  user/process could use this flaw to leak host's stack memory contents
  to a guest (CVE-2019-7222).

  For other uptstream fixes in this update, see the referenced changelogs.
references:
 - https://bugs.mageia.org/show_bug.cgi?id=24331
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.79
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.80
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.81
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.82
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.83
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.84
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.85
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.86
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.87
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.88
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.89
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.90
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.91
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.92
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.93
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.94
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.95
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.96
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.97
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.98
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.99
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.100

Keywords: (none) => advisory, validated_update
Whiteboard: (none) => MGA6-32-OK MGA6-64-OK
CC: (none) => sysadmin-bugs

Comment 9 Mageia Robot 2019-02-21 00:52:22 CET
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGASA-2019-0098.html

Resolution: (none) => FIXED
Status: NEW => RESOLVED


Note You need to log in before you can comment on or make changes to this bug.